Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/tests/sbin Use the new "run_unsafe" atf_config_get() option ...



details:   https://anonhg.NetBSD.org/src/rev/579542b3cb17
branches:  trunk
changeset: 936448:579542b3cb17
user:      jruoho <jruoho%NetBSD.org@localhost>
date:      Mon Jul 27 07:36:19 2020 +0000

description:
Use the new "run_unsafe" atf_config_get() option also with a couple of other
tests that are known to be unsafe.

diffstat:

 tests/sbin/ifconfig/t_random_garbage.sh |   6 ++++--
 tests/sbin/sysctl/t_random_garbage.sh   |  10 +++++++---
 2 files changed, 11 insertions(+), 5 deletions(-)

diffs (51 lines):

diff -r 7859e745ad5d -r 579542b3cb17 tests/sbin/ifconfig/t_random_garbage.sh
--- a/tests/sbin/ifconfig/t_random_garbage.sh   Mon Jul 27 07:32:48 2020 +0000
+++ b/tests/sbin/ifconfig/t_random_garbage.sh   Mon Jul 27 07:36:19 2020 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: t_random_garbage.sh,v 1.3 2020/07/03 07:03:14 jruoho Exp $
+# $NetBSD: t_random_garbage.sh,v 1.4 2020/07/27 07:36:19 jruoho Exp $
 #
 # Copyright (c) 2020 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -63,7 +63,9 @@
        #
        # Take care.
        #
-       atf_skip "The test is not safe (PR kern/55451)"
+       if ! [ $(atf_config_get "run_unsafe" "no") = "yes" ]; then
+               atf_skip "The test is not safe (PR kern/55451)"
+       fi
 
        opts="advbase advskew broadcast carpdev description \
              media mediaopt -mediaopt mode instance metric mtu \
diff -r 7859e745ad5d -r 579542b3cb17 tests/sbin/sysctl/t_random_garbage.sh
--- a/tests/sbin/sysctl/t_random_garbage.sh     Mon Jul 27 07:32:48 2020 +0000
+++ b/tests/sbin/sysctl/t_random_garbage.sh     Mon Jul 27 07:36:19 2020 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: t_random_garbage.sh,v 1.3 2020/07/03 07:03:14 jruoho Exp $
+# $NetBSD: t_random_garbage.sh,v 1.4 2020/07/27 07:36:19 jruoho Exp $
 #
 # Copyright (c) 2020 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -47,7 +47,9 @@
 
 random_garbage_body() {
 
-       atf_skip "The test is not safe (PR kern/55451)"
+       if ! [ $(atf_config_get "run_unsafe" "no") = "yes" ]; then
+               atf_skip "The test is not safe (PR kern/55451)"
+       fi
 
        while read line; do
 
@@ -87,7 +89,9 @@
 
 random_garbage_cleanup() {
 
-       atf_skip "The test is not safe (PR kern/55451)"
+       if ! [ $(atf_config_get "run_unsafe" "no") = "yes" ]; then
+               atf_skip "The test is not safe (PR kern/55451)"
+       fi
 
        while read line; do
                var=$(echo $line | awk '{print $1}')



Home | Main Index | Thread Index | Old Index